zenilib: zenilib/jni/external/freetype2/src/otvalid/otvbase.c File Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Macros | Functions
otvbase.c File Reference
`#include "otvalid.h"`
`#include "otvcommn.h"`

Go to the source code of this file.

## Macros

#define | FT_COMPONENT trace_otvbase

## Functions

static void | otv_Axis_validate (FT_Bytes table, OTV_Validator valid)
| otv_BASE_validate (FT_Bytes table, FT_Validator ftvalid)
static void | otv_BaseCoord_validate (FT_Bytes table, OTV_Validator valid)
static void | otv_BaseScript_validate (FT_Bytes table, OTV_Validator valid)
static void | otv_BaseScriptList_validate (FT_Bytes table, OTV_Validator valid)
static void | otv_BaseTagList_validate (FT_Bytes table, OTV_Validator valid)
static void | otv_BaseValues_validate (FT_Bytes table, OTV_Validator valid)
static void | otv_MinMax_validate (FT_Bytes table, OTV_Validator valid)

## Macro Definition Documentation

#define FT_COMPONENT trace_otvbase

Definition at line 30 of file otvbase.c.

## Function Documentation

static void otv_Axis_validate | ( | FT_Bytes | table,
|  | OTV_Validator | valid
| ) |  |

static

Definition at line 252 of file otvbase.c.

References FT_NEXT_USHORT, otv_BaseScriptList_validate(), otv_BaseTagList_validate(), OTV_EXIT, OTV_LIMIT_CHECK, OTV_NAME_ENTER, OTV_OPTIONAL_OFFSET, OTV_OPTIONAL_TABLE, and OTV_SIZE_CHECK.

Referenced by otv_BASE_validate().

otv_BASE_validate | ( | FT_Bytes | table,
|  | FT_Validator | ftvalid
| ) |  |

Definition at line 280 of file otvbase.c.

References FT_INVALID_FORMAT, FT_NEXT_ULONG, FT_TRACE3, FT_TRACE4, otv_Axis_validate(), OTV_INIT, OTV_LIMIT_CHECK, OTV_OPTIONAL_OFFSET, OTV_OPTIONAL_TABLE, and OTV_SIZE_CHECK.

Referenced by otv_validate().

static void otv_BaseCoord_validate | ( | FT_Bytes | table,
|  | OTV_Validator | valid
| ) |  |

static

Definition at line 34 of file otvbase.c.

References FT_INVALID_FORMAT, FT_NEXT_USHORT, otv_Device_validate(), OTV_EXIT, OTV_LIMIT_CHECK, OTV_NAME_ENTER, and OTV_TRACE.

Referenced by otv_BaseValues_validate(), and otv_MinMax_validate().

static void otv_BaseScript_validate | ( | FT_Bytes | table,
|  | OTV_Validator | valid
| ) |  |

static

Definition at line 177 of file otvbase.c.

References FT_NEXT_USHORT, otv_BaseValues_validate(), OTV_EXIT, OTV_LIMIT_CHECK, otv_MinMax_validate(), OTV_NAME_ENTER, OTV_OPTIONAL_OFFSET, OTV_OPTIONAL_TABLE, OTV_SIZE_CHECK, and OTV_TRACE.

Referenced by otv_BaseScriptList_validate().

static void otv_BaseScriptList_validate | ( | FT_Bytes | table,
|  | OTV_Validator | valid
| ) |  |

static

Definition at line 222 of file otvbase.c.

References FT_NEXT_USHORT, otv_BaseScript_validate(), OTV_EXIT, OTV_LIMIT_CHECK, OTV_NAME_ENTER, and OTV_TRACE.

Referenced by otv_Axis_validate().

static void otv_BaseTagList_validate | ( | FT_Bytes | table,
|  | OTV_Validator | valid
| ) |  |

static

Definition at line 73 of file otvbase.c.

References FT_NEXT_USHORT, OTV_EXIT, OTV_LIMIT_CHECK, OTV_NAME_ENTER, and OTV_TRACE.

Referenced by otv_Axis_validate().

static void otv_BaseValues_validate | ( | FT_Bytes | table,
|  | OTV_Validator | valid
| ) |  |

static

Definition at line 95 of file otvbase.c.

References FT_NEXT_USHORT, otv_BaseCoord_validate(), OTV_EXIT, OTV_LIMIT_CHECK, OTV_NAME_ENTER, and OTV_TRACE.

Referenced by otv_BaseScript_validate().

static void otv_MinMax_validate | ( | FT_Bytes | table,
|  | OTV_Validator | valid
| ) |  |

static

Definition at line 122 of file otvbase.c.

References FT_NEXT_USHORT, otv_BaseCoord_validate(), OTV_EXIT, OTV_LIMIT_CHECK, OTV_NAME_ENTER, OTV_OPTIONAL_OFFSET, OTV_OPTIONAL_TABLE, OTV_SIZE_CHECK, and OTV_TRACE.

Referenced by otv_BaseScript_validate().